net.i2p.router.message

## Class PayloadGarlicConfig

- java.lang.Object
- - net.i2p.router.message.GarlicConfig
  - - net.i2p.router.message.PayloadGarlicConfig

-     public class PayloadGarlicConfig
      extends GarlicConfig

  Garlic config containing an I2NP message

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PayloadGarlicConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `I2NPMessage` | `getPayload()`
    `protected String` | `getSubData()`
    `void` | `setPayload(I2NPMessage message)` Specify the I2NP message to be sent - if this is set, no other cloves can be included in this block

    - ### Methods inherited from class net.i2p.router.message.GarlicConfig

      `addClove, clearCloves, getCertificate, getClove, getCloveCount, getDeliveryInstructions, getExpiration, getId, getRecipient, getRecipientPublicKey, getReplyBlockCertificate, getReplyBlockExpiration, getReplyBlockMessageId, getReplyInstructions, getReplyThroughRouter, getRequestAck, setCertificate, setDeliveryInstructions, setExpiration, setId, setRecipient, setRecipientPublicKey, setReplyBlockCertificate, setReplyBlockExpiration, setReplyBlockMessageId, setReplyInstructions, setReplyThroughRouter, setRequestAck, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PayloadGarlicConfig

          public PayloadGarlicConfig()

  - ### Method Detail

    - #### setPayload

          public void setPayload(I2NPMessage message)

      Specify the I2NP message to be sent - if this is set, no other cloves can be included in this block

    - #### getPayload

          public I2NPMessage getPayload()

    - #### getSubData

          protected String getSubData()

      Overrides:
        `getSubData` in class `GarlicConfig`